* {
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  background: #2f3f7f;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 20px;
}

.login-container {
  background: white;
  padding: 30px;
  border-radius: 18px;
  width: 100%;
  max-width: 350px;
  text-align: center;
  box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

.logo {
  width: 100%;
  max-width: 140px;
  margin-bottom: 20px;
}

h2 {
  color: #2f3f7f;
  margin-bottom: 20px;
}

input {
  width: 100%;
  padding: 12px;
  margin: 10px 0;
  border-radius: 10px;
  border: 1px solid #ddd;
  font-size: 15px;
  transition: 0.3s;
}

input:focus {
  border-color: #2f3f7f;
  outline: none;
  box-shadow: 0 0 5px rgba(47,63,127,0.3);
}

button {
  width: 100%;
  padding: 13px;
  margin-top: 10px;
  background: #2f3f7f;
  color: white;
  border: none;
  border-radius: 12px;
  font-size: 16px;
  cursor: pointer;
  transition: 0.3s;
}

button:hover {
  background: #1e2a5a;
}

.footer {
  margin-top: 15px;
  font-size: 12px;
  color: #888;
}






.password-container {
  position: relative;
}

.password-container input {
  padding-right: 40px;
}

.toggle-password {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 18px;
}




.error-msg {
  background: #ffe5e5;
  color: #b30000;
  padding: 15px;
  margin: 20px auto;
  border-radius: 10px;
  text-align: center;
  font-size: 16px;
  max-width: 400px;
  font-weight: bold;
}







